import { EventEmitter, OnInit, AfterViewInit } from '@angular/core';
import { GeocoderService } from './geocoder.service';
export declare class GeocoderComponent implements OnInit, AfterViewInit {
    geocoderService: GeocoderService;
    private geocoderRef;
    placeFound: EventEmitter<any>;
    searchInput: string;
    places: any[];
    collations: any[];
    searchThreshold: number;
    foundPlace: any;
    selectedItem: any[];
    selectedIndex: number;
    constructor(geocoderService: GeocoderService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    lookup(id: string): void;
    suggest(event: KeyboardEvent): void;
    clear(): void;
    clearPlaces(): void;
    handleEnter(): void;
    isNoResultsFound(): boolean;
    showCollations(): boolean;
    private fillInput(content);
    isHighlighted(i: any): boolean;
    moveUp(): void;
    moveDown(): void;
    resetIndex(): void;
    canQuery(): boolean;
    canClear(): boolean;
}
