import { HttpClient } from '@angular/common/http';
export declare class GeocoderService {
    private http;
    geocoderBaseUrl: string;
    constructor(http: HttpClient);
    suggest(query: string, options?: any): Promise<{
        collations: any[];
        places: {
            id: string;
            type: string;
            weergavenaam: string;
            score: number;
            highlight: any;
        }[];
    }>;
    lookup(id: string): Promise<any>;
    free(searchTerm: string, options?: any): Promise<any>;
    private parseCollations(collations);
    private formatPlaces(suggestResultObject);
    /**
     * Parse WKT in lookup response.
     */
    private formatLookupResponse(lookupResultObject);
}
