export declare class SuggestResult {
    id: string;
    score: number;
    type: string;
    weergavenaam: string;
}
export declare class SuggestResponse {
    docs: SuggestResult[];
    maxScore: number;
    numFound: number;
    start: number;
}
export declare class SuggestResultObject {
    highlighting: {};
    response: SuggestResponse;
    spellcheck: {
        collations: any;
        suggestions: any;
    };
}
export declare class LookupResult {
    bron: string;
    centroide_ll: string;
    centroide_rd: string;
    geometrie_ll?: string;
    geometrie_rd?: string;
    gemeentecode?: string;
    gemeentenaam?: string;
    id: string;
    identificatie: string;
    provincieafkorting: string;
    provinciecode: string;
    type: string;
    weergavenaam: string;
}
export declare class LookupResponse {
    docs: LookupResult[];
}
export declare class LookupResultObject {
    response: LookupResponse;
}
