import { NgModule } from '@angular/core';
import { HttpClientModule } from '@angular/common/http';
import { CommonModule } from '@angular/common';
import { ReactiveFormsModule } from '@angular/forms';

import { GeocoderComponent } from './geocoder.component';
import { GeocoderService } from './geocoder.service';


@NgModule({
  imports: [ HttpClientModule, CommonModule, ReactiveFormsModule ],
  exports: [ GeocoderComponent ],
  declarations: [ GeocoderComponent ],
  providers: [ GeocoderService ]
})
class GeocoderModule {}
export { GeocoderService, GeocoderModule };
